# Welcome to oslo.concurrency’s documentation!

The oslo concurrency library has utilities for safely running multi-thread, multi-process applications using locking mechanisms and for running external processes.

- Installation
- Administrator Guide
- Usage
- Configuration Options
- Contributor’s Guide
- API Reference

## Release Notes

Read also the oslo.concurrency Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-07-14 19:34:14

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug